import { BoundedRegionOptions, CheckTableRegionOptions, RepeatingRegionOptions, TableRegion, TableHeaderRegionOptions, SubTableHeaderRegionOptions, _2DTableRegionOptions, BoundedRegion, CheckTableRegion, RepeatingRegion, TableHeaderRegion, SubTableHeaderRegion, _2DTableRegion } from '../../logic';
import { Wtbl } from '../Wtbl';
/**
 * 表格区域管理功能类
 * 提供设置重复区域和有界区域的功能
 */
export declare class WtblRegionManager {
    /**
     * 根据 region id 查找对应的 region
     */
    static findRegionById(table: Wtbl, regionId: string): TableRegion | undefined;
    static findCrossRegion(table: Wtbl, options: Pick<TableRegion, 'start' | 'end'>): TableRegion | undefined;
    static findCrossRegions(table: Wtbl, options: Pick<TableRegion, 'start' | 'end'>): TableRegion[];
    /**
     * 根据 region id 删除对应的 region
     */
    static deleteRegionById(table: Wtbl, regionId: string): void;
    /**
     * 设置重复区域
     */
    static setRepeating(table: Wtbl, options: Omit<RepeatingRegionOptions, 'table'>): RepeatingRegion;
    /**
     * 设置二维表
     */
    static set2DTable(table: Wtbl, options: Omit<_2DTableRegionOptions, 'table'>): _2DTableRegion;
    /**
     * 设置有界区域
     */
    static setBounded(table: Wtbl, options: Omit<BoundedRegionOptions, 'table'>): BoundedRegion;
    /**
     * 设置检验表
     */
    static setCheckTable(table: Wtbl, options: Omit<CheckTableRegionOptions, 'table'>): CheckTableRegion;
    static setTableHeader(table: Wtbl, options: Omit<TableHeaderRegionOptions, 'table'>): TableHeaderRegion;
    static setSubTableHeader(table: Wtbl, options: Omit<SubTableHeaderRegionOptions, 'table'>): SubTableHeaderRegion;
}
